(function($) {

var pageNumber = 1;

function kids_education_pro_load_posts(){
    pageNumber++;

    $.ajax({
        type: "POST",
        dataType: "html",
        url: kids_education_pro.ajaxurl,
        data: {action: 'kids_education_pro_ajax_handler',
            pageNumber: pageNumber
        },
        success: function(data){
            if( data.length > 0 ){
                $('.portfolio-wrapper').append(data).masonry().isotope({
                    resizable: true,
                    itemSelector: '.portfolio-item',
                    layoutMode : 'masonry',
                    gutter: 20,
                    masonry: {
                        columnWidth: colWidth(),
                        gutterWidth: 20
                    }
                });
                $container.isotope('reloadItems');
                isotope( 'relayout', true );
                $("#loadmore").removeClass("hide");
            } else {
                $("#loadmore").addClass("hide");
            }
        },
        error : function(jqXHR, textStatus, errorThrown) {
            $loader.html(jqXHR + " :: " + textStatus + " :: " + errorThrown);
        }

    });
    return false;
}


$('#loadmore').removeAttr('href');
$("#loadmore").on("click",function(){ // When btn is pressed.
    $("#loadmore").addClass("hide");
    kids_education_pro_load_posts();
});

}(jQuery));